;--------------------------------------------------------------------------;
;                                                                          ;
;                                                                          ;
;      ------------         Bit-Bucket Software <no-Inc>                   ;
;      \ 10001101 /         Writers and Distributors of                    ;
;       \ 011110 /          No-Cost<no-tm> Software.                       ;
;        \ 1011 /                                                          ;
;         ------            KopyRong (K) 1987.  ALL RIGHTS REVERSED.       ;
;                                                                          ;
;                                                                          ;
;                 Assembly routines for BinkleyTerm 1.20                   ;
;                                                                          ;
;                                                                          ;
;   This  software  package is being distributed WITH FULL SOURCE CODE     ;
;   with the  following  conditions:    1)  If  anything awful happens     ;
;   because  you  use    it   (or  don't  use  it),  you  accept  full     ;
;   responsibility;  2) you  don't start making tons of voice calls to     ;
;   the authors to complain or  make  suggestions  about enhancements,     ;
;   useful or otherwise;  3) you  do not reuse this code in commercial     ;
;   products without specific permission to do so  from  the  authors;     ;
;   4) If you find any problems you send  fixes  to  the  authors  for     ;
;   inclusion  in  updates;    5) You find some way  to  express  your     ;
;   appreciation  for  this  method of distribution, either by writing     ;
;   code or  application  notes,  or  just sending along a "Thank You"     ;
;   message.                                                               ;
;                                                                          ;
;   There is  copyrighted  code  in  this product.  We either wrote it     ;
;   ourselves or got  permission  to use it.  Please don't force us to     ;
;   pay a lawyer --  have some respect for our motives and don't abuse     ;
;   this "license".                                                        ;
;                                                                          ;
;                                                                          ;
;--------------------------------------------------------------------------;

.xlist
        page    64,132
        
        title   Bink_Asm
        subttl  by Bob Hartman
        
        ;
        ;
        ;
        ; The following macro files come with the MicroSoft "C" compiler
        ;
        include version.inc
        include msdos.inc
        include cmacros.inc
        
        .sall
.list

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

sBegin   code

         assumes  cs,code
         assumes  ds,data
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cProc   real_flush,<PUBLIC>
        parmW fhandle

cBegin

        mov     ah,45h
        mov     bx,fhandle
        int     21h
        jc      rferr
        mov     bx,ax
        mov     ah,3eh
        int     21h
        xor     ax,ax
        jmp     rfout

rferr:
        mov     ax,1

rfout:

cEnd


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cProc   dv_get_version,<PUBLIC>

cBegin

        mov     cx,4445h
        mov     dx,5351h
        mov     ax,2b01h
        int     21h
        cmp     al,0ffh
        je      no_dv
        mov     ax,bx
        jmp     short got_dv

no_dv:
        xor     ax,ax

got_dv:

cEnd


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cProc   ddos_active,<PUBLIC>

cBegin

        mov     ah,0e4h
        int     21h
        cmp     al,1
        je      got_ddos
        cmp     al,2
        je      got_ddos
        xor     ax,ax

got_ddos:

cEnd


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cProc   dv_pause,<PUBLIC>

cBegin

        mov     ax,101ah
        int     15h
        mov     ax,1000h
        int     15h
        mov     ax,1025h
        int     15h

cEnd


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cProc   ddos_pause,<PUBLIC>

cBegin

        mov     ah,0f4h
        int     21h

cEnd


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

sEnd
         end


